Package logilab :: Package common :: Module proc :: Class MemorySentinel

[frames] | no frames]

# Class MemorySentinel

source code

            object --+
                     |
    threading._Verbose --+
                         |
          threading.Thread --+
                             |
                            MemorySentinel

    A class checking a process don't use too much memory in a separated
    daemonic thread

Instance Methods

__init__(self, interval, memory_limit, gpid=os.getpid()) This constructor should always be called with keyword arguments. | source code

stop(self) stop ap | source code

Inherited from `threading.Thread`: `__repr__`, `daemon`, `getName`, `ident`, `isAlive`, `isDaemon`, `is_alive`, `join`, `name`, `run`, `setDaemon`, `setName`, `start` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, interval, memory_limit, gpid=os.getpid())
(Constructor)

source code

This constructor should always be called with keyword arguments. Arguments are:

*group* should be None; reserved for future extension when a ThreadGroup class is implemented.

*target* is the callable object to be invoked by the run() method. Defaults to None, meaning nothing is called.

*name* is the thread name. By default, a unique name is constructed of the form "Thread-N" where N is a small decimal number.

*args* is the argument tuple for the target invocation. Defaults to ().

*kwargs* is a dictionary of keyword arguments for the target invocation. Defaults to {}.

If a subclass overrides the constructor, it must make sure to invoke the base class constructor (Thread.__init__()) before doing anything else to the thread.

Overrides: object.__init__
  (inherited documentation)